#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-kwindowsystem
Version		:	6.3.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Access to window manager
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules 
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	mesa-devel
BuildRequires	:	plasma-wayland-protocols-devel
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtwayland-devel
BuildRequires	:	xcb-util-keysyms
BuildRequires	:	wayland-protocols
#-----------------------------------------------------------------------------
%description
KWindowSystem provides information about the windowing system and
allows interaction with the windowing system. It provides an high
level API which is windowing system independent and has platform
specific implementations.
This API is inspired by X11 and thus not all functionality is
available on all windowing systems.

#-----------------------------------------------------------------------------
%files			-f %{sname}6_qt.lang
%defattr(-, root,root, 0755)
%doc README.md
%license LICENSES/*.txt
%{_kf6_datadir}/qlogging-categories6/%{sname}.*
%{_kf6_libdir}/libKF6WindowSystem.so.*
%{_kf6_plugindir}/kwindowsystem/KF6WindowSystemX11Plugin.so
%{_kf6_qmldir}/org/kde/kwindowsystem
%{_qt6_plugindir}/kf6/kwindowsystem/KF6WindowSystemKWaylandPlugin.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf6_includedir}/KWindowSystem/
%{_kf6_libdir}/libKF6WindowSystem.so
%{_kf6_libdir}/cmake/KF6WindowSystem/
%{_kf6_libdir}/pkgconfig/KF6WindowSystem.pc
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q	-n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang_kf6 %{sname}6_qt

#-----------------------------------------------------------------------------
%changelog
